Arch Linux Security Advisory ASA-202107-56
==========================================

Severity: Medium
Date    : 2021-07-21
CVE-ID  : CVE-2021-31800
Package : impacket
Type    : directory traversal
Remote  : Yes
Link    : https://security.archlinux.org/AVG-1916

Summary
=======

The package impacket before version 0.9.23-1 is vulnerable to directory
traversal.

Resolution
==========

Upgrade to 0.9.23-1.

# pacman -Syu "impacket>=0.9.23-1"

The problem has been fixed upstream in version 0.9.23.

Workaround
==========

None.

Description
===========

Multiple path traversal vulnerabilities exist in smbserver.py in
Impacket before version 0.9.23. An attacker that connects to a running
smbserver instance can list and write to arbitrary files via ../
directory traversal. This could potentially be abused to achieve
arbitrary code execution by replacing /etc/shadow or an SSH authorized
key.

Impact
======

A malicious SMB client connecting to the example SMB server provided by
Impacket could read or modify arbitrary files on the server through
directory traversal.

References
==========

https://bugs.archlinux.org/task/70714
https://github.com/SecureAuthCorp/impacket/pull/1066
https://github.com/SecureAuthCorp/impacket/commit/99bd29e3995c254e2d6f6c2e3454e4271665955a
https://security.archlinux.org/CVE-2021-31800